SDL_DisplayEvent(3type)

NAME
SDL_DisplayEvent - Display state change event data (event.display.*)

SYNOPSIS
#include <SDL3/SDL_events.h>

typedef struct SDL_DisplayEvent
{
    SDL_EventType type; /**< SDL_DISPLAYEVENT_* */
    Uint32 reserved;
    Uint64 timestamp;   /**< In nanoseconds, populated using SDL_GetTicksNS() */
    SDL_DisplayID displayID;/**< The associated display */
    Sint32 data1;       /**< event dependent data */
    Sint32 data2;       /**< event dependent data */
} SDL_DisplayEvent;

AVAILABILITY
This struct is available since SDL 3.2.0.